/**
 * 初始化海峡计划申报详情对话框
 */
var ChannelPlanFiletypeInfoDlg = {
    channelPlanFiletypeInfoData : {},
    validateFields: {
        name: {
            validators: {
                notEmpty: {
                    message: '附件名称不能为空'
                }
            }
        },
        api: {
            validators: {
                notEmpty: {
                    message: 'api不能为空'
                }
            }
        },
        must: {
            validators: {
                notEmpty: {
                    message: '是否必传不能为空'
                }
            }
        },
        member: {
            validators: {
                notEmpty: {
                    message: '是否成员不能为空'
                }
            }
        },
        active: {
            validators: {
                notEmpty: {
                    message: '是否生效不能为空'
                }
            }
        },
        sn: {
            validators: {
                notEmpty: {
                    message: '排序不能为空'
                },
                regexp: {
                    regexp:/^\d+$/,
                    message: '只能输入数字'
                }
            }
        }
    }
};

/**
 * 清除数据
 */
ChannelPlanFiletypeInfoDlg.clearData = function() {
    this.channelPlanFiletypeInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
ChannelPlanFiletypeInfoDlg.set = function(key, val) {
    this.channelPlanFiletypeInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
ChannelPlanFiletypeInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
ChannelPlanFiletypeInfoDlg.close = function() {
    parent.layer.close(window.parent.ChannelPlanFiletype.layerIndex);
}

/**
 * 收集数据
 */
ChannelPlanFiletypeInfoDlg.collectData = function() {
    this
    .set('id')
    .set('name')
    .set('api')
    .set('must')
    .set('member')
    .set('active')
    .set('sn')
    .set('checkCompany')
    .set('description');
}

/**
 * 验证数据
 */
ChannelPlanFiletypeInfoDlg.validate = function () {
    $('#channelPlanInfoForm').data("bootstrapValidator").resetForm();
    $('#channelPlanInfoForm').bootstrapValidator('validate');
    return $("#channelPlanInfoForm").data('bootstrapValidator').isValid();
}

/**
 * 提交添加
 */
ChannelPlanFiletypeInfoDlg.addSubmit = function() {
    this.clearData();
    if (!this.validate()) {
        return;
    }
    $("#channelPlanInfoForm")[0].submit();
}

/**
 * 提交修改
 */
ChannelPlanFiletypeInfoDlg.editSubmit = function() {
    this.clearData();
    this.collectData();
    if (!this.validate()) {
        return;
    }
    $("#channelPlanInfoForm")[0].submit();
}

//回调
ChannelPlanFiletypeInfoDlg.callBack = function (data) {
    Feng.success(data.msg);
    if(data.code=="200"){
        window.parent.ChannelPlanFiletype.table.refresh();
        ChannelPlanFiletypeInfoDlg.close();
    }
}

ChannelPlanFiletypeInfoDlg.fileChange = function(context){
    var file  = $(context).val();
    var pos = file.lastIndexOf("\\");
    $("#templateUrl").val(file.substring(pos+1));
}

$(function() {
    Feng.initValidator("channelPlanInfoForm", ChannelPlanFiletypeInfoDlg.validateFields);
    Feng.addAjaxSelect({
        "id": "checkCompany",
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/company/selectAll"
    });
    $("select").each(function () {
        $(this).val($(this).attr("selectVal"));
    });
});
